import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/fu160/00f0dbc6a14e7df7684a8f9ea2d934e4/raw/9752ae97079718248eae6e4e94107eabcf02e521/migrants.csv';
export const useData = () => {
  
  const [data, setData] = useState(null);
//Website Date,Number of Dead,Coordinates
  useEffect(() => {
     const row = d=> {
       d['Total Dead and Missing'] = +d['Number of Dead'] || 0;
       d['Reported Date'] = new Date(d['Website Date']);
        return d;
      }
    csv(csvUrl,row).then((data) => {
      console.log("fetch");
     let topData = data.splice(2000);

      setData(data);
    });
  }, []);
  
 	return data; 
}